diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Noumea.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Noumea.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Noumea.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Noumea.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Noumea
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Noumea
 BEGIN:STANDARD
 TZNAME:+11
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pago_Pago.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pago_Pago.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pago_Pago.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pago_Pago.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Pago_Pago
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Pago_Pago
 BEGIN:STANDARD
 TZNAME:SST
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Palau.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Palau.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Palau.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Palau.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Palau
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Palau
 BEGIN:STANDARD
 TZNAME:+09
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pitcairn.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pitcairn.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pitcairn.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pitcairn.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Pitcairn
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Pitcairn
 BEGIN:STANDARD
 TZNAME:-08
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pohnpei.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pohnpei.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Pohnpei.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Pohnpei.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Pohnpei
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Pohnpei
 BEGIN:STANDARD
 TZNAME:+11
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Port_Moresby.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Port_Moresby.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Port_Moresby.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Port_Moresby.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Port_Moresby
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Port_Moresby
 BEGIN:STANDARD
 TZNAME:+10
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Rarotonga.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Rarotonga.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Rarotonga.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Rarotonga.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Rarotonga
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Rarotonga
 BEGIN:STANDARD
 TZNAME:-10
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tahiti.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tahiti.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tahiti.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tahiti.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Tahiti
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Tahiti
 BEGIN:STANDARD
 TZNAME:-10
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tarawa.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tarawa.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tarawa.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tarawa.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Tarawa
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Tarawa
 BEGIN:STANDARD
 TZNAME:+12
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tongatapu.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tongatapu.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Tongatapu.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Tongatapu.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Tongatapu
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Tongatapu
 BEGIN:STANDARD
 TZNAME:+13
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Wake.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Wake.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Wake.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Wake.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Wake
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Wake
 BEGIN:STANDARD
 TZNAME:+12
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Wallis.ics sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Wallis.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/Pacific/Wallis.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/Pacific/Wallis.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:Pacific/Wallis
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:Pacific/Wallis
 BEGIN:STANDARD
 TZNAME:+12
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/PST8PDT.ics sogo-5.2.0/SOPE/NGCards/TimeZones/PST8PDT.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/PST8PDT.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/PST8PDT.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:PST8PDT
-LAST-MODIFIED:20191023T183905Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:PST8PDT
 BEGIN:DAYLIGHT
 TZNAME:PDT
diff -Nru sogo-5.0.1/SOPE/NGCards/TimeZones/WET.ics sogo-5.2.0/SOPE/NGCards/TimeZones/WET.ics
--- sogo-5.0.1/SOPE/NGCards/TimeZones/WET.ics	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/SOPE/NGCards/TimeZones/WET.ics	2021-08-18 21:35:57.000000000 +0200
@@ -1,9 +1,9 @@
 BEGIN:VCALENDAR
-PRODID:-//Inverse inc.//NONSGML IANA 2019c//EN
+PRODID:-//Inverse inc.//NONSGML IANA 2021a//EN
 VERSION:2.0
 BEGIN:VTIMEZONE
 TZID:WET
-LAST-MODIFIED:20191023T183904Z
+LAST-MODIFIED:20210303T135712Z
 X-LIC-LOCATION:WET
 BEGIN:DAYLIGHT
 TZNAME:WEST
diff -Nru sogo-5.0.1/Tests/Integration/preferences.py sogo-5.2.0/Tests/Integration/preferences.py
--- sogo-5.0.1/Tests/Integration/preferences.py	2020-10-07 17:11:26.000000000 +0200
+++ sogo-5.2.0/Tests/Integration/preferences.py	2021-08-18 21:35:57.000000000 +0200
@@ -13,13 +13,13 @@
 
 # must be kept in sync with SoObjects/SOGo/SOGoDefaults.plist
 # this should probably be fetched magically...
-SOGoSupportedLanguages = [ "Arabic", "Basque", "Catalan", "ChineseChina", "ChineseTaiwan", "Croatian",
+SOGoSupportedLanguages = [ "Arabic", "Basque", "Bulgarian", "Catalan", "ChineseChina", "ChineseTaiwan", "Croatian",
                            "Czech", "Dutch", "Danish", "Welsh", "English", "Finnish",
                            "SpanishSpain", "SpanishArgentina", "French", "German", "Hebrew",
                            "Hungarian", "Indonesian", "Icelandic", "Italian", "Japanese",
-                           "Latvian", "Lithuanian", "Macedonian", "Portuguese", "BrazilianPortuguese",
+                           "Latvian", "Lithuanian", "Macedonian", "Montenegrin", "Portuguese", "BrazilianPortuguese",
                            "NorwegianBokmal", "NorwegianNynorsk", "Polish", "Romanian", "Russian",
-                           "Serbian", "Slovak", "Slovenian", "Swedish", "TurkishTurkey", "Ukrainian" ];
+                           "Serbian", "SerbianLatin", "Slovak", "Slovenian", "Swedish", "TurkishTurkey", "Ukrainian" ];
 daysBetweenResponseList=[1,2,3,5,7,14,21,30]
 
 class HTTPPreferencesPOST (webdavlib.HTTPPOST):
diff -Nru sogo-5.0.1/Tests/lib/config.js sogo-5.2.0/Tests/lib/config.js
--- sogo-5.0.1/Tests/lib/config.js	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/Tests/lib/config.js	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,44 @@
+export default {
+  // setup: 4 user are needed: username, superuser, attendee1, attendee1_delegate
+  // superuser must be a sogo superuser...
+
+  hostname: "localhost",
+  port: "80",
+  username: "myuser",
+  password: "mypass",
+
+  superuser: "super",
+  superuser_password: "pass",
+
+  // 'subscriber_username' and 'attendee1' must be the same user
+  subscriber_username: "otheruser",
+  subscriber_password: "otherpass",
+
+  attendee1: "user@domain.com",
+  attendee1_username: "user",
+  attendee1_password: "pass",
+
+  attendee1_delegate: "user2@domain.com",
+  attendee1_delegate_username: "sogo2",
+  attendee1_delegate_password: "sogo",
+
+  resource_no_overbook: "res",
+  resource_can_overbook: "res-nolimit",
+
+  // must match attendee1
+  white_listed_attendee: {
+    "sogo1": "John Doe <sogo1@example.com>"
+  },
+
+  mailserver: "imaphost",
+
+  testput_nbrdays: 30,
+
+  sieve_server: "localhost",
+  sieve_port: 4190,
+
+  sogo_user: "sogo",
+  sogo_tool_path: "/usr/local/sbin/sogo-tool",
+
+  webCalendarURL: "http://inverse.ca/sogo-integration-tests/CanadaHolidays.ics"
+}
\ No newline at end of file
diff -Nru sogo-5.0.1/Tests/lib/WebDAV.js sogo-5.2.0/Tests/lib/WebDAV.js
--- sogo-5.0.1/Tests/lib/WebDAV.js	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/Tests/lib/WebDAV.js	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,304 @@
+import {
+  DAVNamespace,
+  DAVNamespaceShorthandMap,
+
+  davRequest,
+  deleteObject,
+  getBasicAuthHeaders,
+  propfind,
+  syncCollection,
+
+  calendarMultiGet,
+  createCalendarObject,
+  makeCalendar,
+
+  createVCard
+} from 'tsdav'
+import { formatProps, getDAVAttribute } from 'tsdav/dist/util/requestHelpers';
+import { makeCollection } from 'tsdav/dist/collection';
+import config from './config'
+
+class WebDAV {
+  constructor(un, pw) {
+    this.serverUrl = `http://${config.hostname}:${config.port}`
+    if (un && pw) {
+      this.headers = getBasicAuthHeaders({
+        username: un,
+        password: pw
+      })
+    }
+    else {
+      this.headers = {}
+    }
+  }
+
+  deleteObject(resource) {
+    return deleteObject({
+      url: this.serverUrl + resource,
+      headers: this.headers
+    })
+  }
+
+  makeCalendar(resource) {
+    return makeCalendar({
+      url: this.serverUrl + resource,
+      headers: this.headers
+    })
+  }
+
+  createCalendarObject(resource, filename, calendar) {
+    return createCalendarObject({
+      headers: this.headers,
+      calendar: { url: this.serverUrl + resource }, // DAVCalendar
+      filename: filename,
+      iCalString: calendar
+    })
+  }
+
+  getEvent(resource, filename) {
+    return davRequest({
+      url: this.serverUrl + resource + filename,
+      init: {
+        method: 'GET',
+        headers: this.headers,
+        body: null
+      },
+      convertIncoming: false
+    })
+  }
+
+  propfindEvent(resource) {
+    return propfind({
+      url: this.serverUrl + resource,
+      headers: this.headers,
+      depth: '1',
+      props: [
+        { name: 'calendar-data', namespace: DAVNamespace.CALDAV }
+      ]
+    })
+  }
+
+  calendarMultiGet(resource, filename) {
+    return calendarMultiGet({
+      url: this.serverUrl + resource,
+      headers: this.headers,
+      props: [
+        { name: 'calendar-data', namespace: DAVNamespace.CALDAV },
+      ],
+      objectUrls: [ this.serverUrl + resource + filename ]
+    })
+  }
+
+  principalCollectionSet(resource = '/SOGo/dav') {
+    return propfind({
+      url: this.serverUrl + resource,
+      depth: '0',
+      props: [{ name: 'principal-collection-set', namespace: DAVNamespace.DAV }],
+      headers: this.headers
+    })
+  }
+
+  propfindURL(resource = '/SOGo/dav') {
+    return propfind({
+      url: this.serverUrl + resource,
+      depth: '1',
+      props: [
+        { name: 'displayname', namespace: DAVNamespace.DAV },
+        { name: 'resourcetype', namespace: DAVNamespace.DAV }
+      ],
+      headers: this.headers
+    })
+  }
+
+  propfindCollection(resource) {
+    return propfind({
+      url: this.serverUrl + resource,
+      headers: this.headers
+    })
+  }
+
+  principalPropertySearch(resource) {
+    return davRequest({
+      url: `${this.serverUrl}/SOGo/dav`,
+      init: {
+        method: 'REPORT',
+        namespace: DAVNamespaceShorthandMap[DAVNamespace.DAV],
+        headers: this.headers,
+        body: {
+          'principal-property-search': {
+            _attributes: getDAVAttribute([
+              DAVNamespace.CALDAV,
+              DAVNamespace.DAV,
+            ]),
+            'property-search': [
+              {
+                [`${DAVNamespaceShorthandMap[DAVNamespace.DAV]}:prop`]: formatProps([{ name: 'calendar-home-set', namespace: DAVNamespace.CALDAV }]),
+                'match': resource
+              }
+            ],
+            [`${DAVNamespaceShorthandMap[DAVNamespace.DAV]}:prop`]: formatProps([{ name: 'displayname', namespace: DAVNamespace.DAV }])
+          }
+        }
+      },
+    })
+  }
+
+  // http://tools.ietf.org/html/rfc3253.html#section-3.8
+  expendProperty(resource, properties) {
+    return davRequest({
+      url: `${this.serverUrl}/${resource}`,
+      init: {
+        method: 'REPORT',
+        namespace: DAVNamespaceShorthandMap[DAVNamespace.DAV],
+        headers: this.headers,
+        body: {
+          'expand-property': {
+            _attributes: getDAVAttribute([
+              DAVNamespace.DAV,
+            ]),
+            [`${DAVNamespaceShorthandMap[DAVNamespace.DAV]}:property`]: properties
+          }
+        }
+      },
+    })
+  }
+
+  syncColletion(resource) {
+    return davRequest({
+      url: `${this.serverUrl}/${resource}`,
+      init: {
+        method: 'REPORT',
+        namespace: DAVNamespaceShorthandMap[DAVNamespace.DAV],
+        headers: this.headers,
+        body: {
+          'sync-collection': {
+            _attributes: getDAVAttribute([
+              DAVNamespace.CALDAV,
+              DAVNamespace.DAV
+            ]),
+            [`${DAVNamespaceShorthandMap[DAVNamespace.DAV]}:prop`]: formatProps([{ name: 'calendar-data', namespace: DAVNamespace.CALDAV }]),
+          }
+        }
+      },
+    })
+  }
+
+  syncQuery(resource, token = '', properties) {
+    const formattedProperties = properties.map(p => { return { name: p, namespace: DAVNamespace.DAV } })
+    return syncCollection({
+      url: `${this.serverUrl}/${resource}`,
+      props: formattedProperties,
+      syncLevel: 1,
+      syncToken: token,
+      headers: this.headers
+    })
+  }
+
+  propfindCaldav(resource, properties, depth = 0, parseOutgoing = true) {
+    const formattedProperties = properties.map(p => { return { name: p, namespace: DAVNamespace.CALDAV } })
+    return davRequest({
+      url: this.serverUrl + resource,
+      init: {
+        method: 'PROPFIND',
+        headers: { ...this.headers, depth: new String(depth) },
+        namespace: DAVNamespaceShorthandMap[DAVNamespace.DAV],
+        body: {
+          propfind: {
+            _attributes: getDAVAttribute([
+              DAVNamespace.CALDAV,
+              DAVNamespace.CALDAV_APPLE,
+              DAVNamespace.CALENDAR_SERVER,
+              DAVNamespace.CARDDAV,
+              DAVNamespace.DAV
+            ]),
+            prop: formattedProperties.length ? formatProps(formattedProperties) : null,
+          }
+        }
+      },
+      parseOutgoing
+    })
+  }
+
+  proppatchCaldav(resource, properties) {
+    const formattedProperties = Object.keys(properties).map(p => {
+      return { name: p, namespace: DAVNamespace.CALDAV, value: properties[p] }
+    })
+    return davRequest({
+      url: this.serverUrl + resource,
+      init: {
+        method: 'PROPPATCH',
+        headers: this.headers,
+        namespace: DAVNamespaceShorthandMap[DAVNamespace.DAV],
+        body: {
+          propertyupdate: {
+            _attributes: getDAVAttribute([
+              DAVNamespace.CALDAV,
+              DAVNamespace.CALDAV_APPLE,
+              DAVNamespace.CALENDAR_SERVER,
+              DAVNamespace.CARDDAV,
+              DAVNamespace.DAV
+            ]),
+            set: {
+              prop: formatProps(formattedProperties)
+            }
+          }
+        }
+      }
+      // parseOutgoing
+    })
+  }
+
+  currentUserPrivilegeSet(resource) {
+    return propfind({
+      url: this.serverUrl + resource,
+      depth: '0',
+      props: [
+        { name: 'current-user-privilege-set', namespace: DAVNamespace.DAV }
+      ],
+      headers: this.headers
+    })
+  }
+
+  makeAddressBook(resource) {
+    return makeCollection({
+      url: this.serverUrl + resource,
+      headers: this.headers
+    });
+  }
+
+  getCard(resource, filename) {
+    return davRequest({
+      url: this.serverUrl + resource + filename,
+      init: {
+        method: 'GET',
+        headers: this.headers,
+        body: null
+      },
+      convertIncoming: false
+    })
+  }
+
+  createVCard(resource, filename, card) {
+    return createVCard({
+      headers: this.headers,
+      addressBook: { url: this.serverUrl + resource }, // DAVAddressBook
+      filename,
+      vCardString: card
+    })
+  }
+
+  options(resource) {
+    return davRequest({
+      url: this.serverUrl + resource,
+      init: {
+        method: 'OPTIONS',
+        headers: this.headers,
+        body: null
+      },
+      convertIncoming: false
+    })
+  }
+
+}
+
+export default WebDAV
\ No newline at end of file
diff -Nru sogo-5.0.1/Tests/spec/CalDAVPropertiesSpec.js sogo-5.2.0/Tests/spec/CalDAVPropertiesSpec.js
--- sogo-5.0.1/Tests/spec/CalDAVPropertiesSpec.js	1970-01-01 01:00:00.000000000 +0100
+++ sogo-5.2.0/Tests/spec/CalDAVPropertiesSpec.js	2021-08-18 21:35:57.000000000 +0200
@@ -0,0 +1,61 @@
+import config from '../lib/config'
+import WebDAV from '../lib/WebDAV'
+
+describe('read and set calendar properties', function() {
+  const webdav = new WebDAV(config.username, config.password)
+  const resource = `/SOGo/dav/${config.username}/Calendar/test-dav-properties/`
+
+  beforeEach(async function() {
+    await webdav.makeCalendar(resource)
+  })
+
+  afterEach(async function() {
+    await webdav.deleteObject(resource)
+  })
+
+  // CalDAVPropertiesTest
+
+  it("propfind", async function() {
+    const [result] = await webdav.propfindCaldav(resource, ['schedule-calendar-transp'])
+    const { raw: { multistatus: { response: { propstat: { status, prop }}}}} = result
+    expect(status)
+      .withContext('schedule-calendar-transp profind is successful')
+      .toBe('HTTP/1.1 200 OK')
+    expect(Object.keys(prop).length)
+      .withContext('schedule-calendar-transp has one element only')
+      .toBe(1)
+      expect(Object.keys(prop.scheduleCalendarTransp).includes('opaque'))
+      .withContext('schedule-calendar-transp is "opaque" on new')
+      .toBeTrue()
+  })
+
+  it("proppatch", async function() {
+    let newValueNode
+    let results
+
+    newValueNode = { 'thisvaluedoesnotexist': {} }
+    results = await webdav.proppatchCaldav(resource, {'schedule-calendar-transp': newValueNode})
+    expect(results.length)
+      .toBe(1)
+    expect(results[0].status)
+    .withContext('Setting an invalid transparency is refused')
+    .toBe(400)
+
+    newValueNode = { 'transparent': {} }
+    results = await webdav.proppatchCaldav(resource, {'schedule-calendar-transp': newValueNode})
+    expect(results.length)
+      .toBe(1)
+    expect(results[0].status)
+    .withContext(`Setting transparency to ${newValueNode} is successful`)
+    .toBe(207)
+
+    newValueNode = { 'opaque': {} }
+    results = await webdav.proppatchCaldav(resource, {'schedule-calendar-transp': newValueNode})
+    expect(results.length)
+      .toBe(1)
+    expect(results[0].status)
+    .withContext(`Setting transparency to ${newValueNode} is successful`)
+    .toBe(207)
+
+  })
+})
\ No newline at end of file
